| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
RSI_Kernel Class Reference

`#include <kernel.h>`

## Public Member Functions
| RSI_Kernel ()
| RSI_Kernel (int width, int power)
| Calculates a reciprocal space interpolation lookup table. More...
| ~RSI_Kernel ()
Complex< double > | interpolate (Bimage *p, unsigned long img_num, Vector3< float > m)
| Calculates the complex value at an image location by kernel-based interpolation. More...

## Detailed Description

Definition at line 14 of file kernel.h.

## Constructor & Destructor Documentation

RSI_Kernel::RSI_Kernel | ( |  | ) |
| inline

Definition at line 23 of file kernel.h.

RSI_Kernel::RSI_Kernel | ( | int | kernel_width,
|  | int | kernel_power
| ) |  |

Calculates a reciprocal space interpolation lookup table.

Parameters

  kernel_width | table width.
  kernel_power | interpolation power.

Returns
  RSI_Kernel* new lookup table.

Definition at line 22 of file kernel.cpp.

RSI_Kernel::~RSI_Kernel | ( |  | ) |
| inline

Definition at line 25 of file kernel.h.

## Member Function Documentation

Complex< double > RSI_Kernel::interpolate | ( | Bimage * | p,
|  | unsigned long | img_num,
|  | Vector3< float > | m
| ) |  |

Calculates the complex value at an image location by kernel-based interpolation.

Parameters

  *p | complex image.
  img_num | sub-image number.
  m | location in image.

Returns
  Complex<double> interpolated value.

      The kernel lookup table must be precalculated.

Definition at line 96 of file kernel.cpp.

The documentation for this class was generated from the following files:

- /usr/local/bsoft/include/kernel.h
- /usr/local/bsoft/src/util/kernel.cpp